/************************************************************************
 *   IRC - Internet Relay Chat, include/s_cr.h
 *   April 7. 2001 - einride
 */

#ifndef INCLUDED_s_cr_h
#define INCLUDED_s_cr_h

#include "client.h"
#include "common.h"


#ifdef CHALLENGERESPONSE

#ifdef CHALLENGERESPONSE_FALLBACK
extern void cr_checkfallback(void);
#endif

extern void cr_sendchallenge(struct Client *cptr, struct ConfItem *n_conf);
extern void cr_sendresponse(struct Client *cptr, struct ConfItem *c_conf,
			    char *chall, char *salt);
extern void cr_gotresponse(struct Client *cptr, char *resp);

#endif

extern char *get_salt(const char *);
extern char *libshadow_md5_crypt(const char *, const char *);

#endif
